<?php
/**
 * ---------------------------------------------------------------------------------------------#
 *   DB格納の画像データを画像表示(HTMLの出力）【UTF-8】ベース
 *    ・NO IMAGE/NO FILEの画像データをDB画像データから出力
 *   @引数　：画像ID
 *   @返り値：画像出力(HTTP content-type:image/xxxされた内容)
 *   @利用方法:HTMLドキュメントからinpt srcタグで指定、
 *     ex.<input src="blobimg_disp_product.php?id=xxx" alt='画像なし'>   xxxは、画像IDの値
 *   2016.09.11 作成 大角
 * ---------------------------------------------------------------------------------------------#
 */
// 画像タイプテーブル
$content_type = array(
	'jpg'  => 'image/jpeg',
	'jpeg' => 'image/jpeg',
	'gif'  => 'image/gif',
	'png'  => 'image/png'
);
/* ----------------------------------------#
 *    データベースの接続定義とCRUD class
 * ----------------------------------------*/
// MySQLデータベース接続の初期設定
$db_def = array(
    'DBhost'  => 'localhost',       //接続サーバ（URL）
    'DBuser'  => 'user',            //DB接続のユーザ名
    'DBpwd'   => 'eLerning_PWD',    //DB接続のパスワード
    'DBname'  => 'list_db',         //接続データベース名
    'DBtblm'  => 'mediaManagement'  //テーブル名
);
// DB接続状況をチェックとオブジェクト作成
$db = mysqli_connect($db_def['DBhost'], $db_def['DBuser'], $db_def['DBpwd'], $db_def['DBname']);
// DBの画像表示するテーブルのフィールド名配列
// DBのデータをfetchして、$out_imgに保存
$out_img = array(
	'media_id'       => '',  // メディアID
	'media_path'     => '',  // ベースメディア・パス
	'media_thumbimg' => '',  // サムネール画像
	'media_info'     => '',  // メディア情報
	'last_upd'       => '',  // 更新日
);

// ID指定された画像保存データをGET
$id = isset($_REQUEST['id'])? $_REQUEST['id'] : '';

//sql文の作成
$sql = "SELECT * FROM ".$db_def['DBtblm']." WHERE ".media_id."=".$id;
if( !$smtRst = mysqli_query($db,$sql) ){
	exit;
}
// 検索結果の連想配列を取得
$out_img = mysqli_fetch_array($smtRst);
// DB close
mysqli_close($db);
//画像データがない場合
if(!isset($out_img['media_thumbimg']) || !$out_img['media_thumbimg'] || !$id){
	exit;
}
// 画像の拡張子からコンテンツタイプの設定
if( isset($out_img['media_info']) && $out_img['media_info']){
	// 画像情報の分解 ... [横幅x縦長]/[拡張子]/[ファイル容量]の形式
	$wk_ary = explode('/',$out_img[ 'media_info' ]);
	$content_image =  $content_type[ $wk_ary[1] ];
} else {
	// 拡張子が設定されていない場合は、「jpg」の設定
	$content_image =  $content_type[ 'jpg' ];
}
/* ------------------------------#
 *    画像データの出力
 * ------------------------------*/
header("Content-Type: $content_image");
echo $out_img['media_thumbimg'];
exit;
?>
